Package wx :: Class Object

[frames | no frames]

## Type Object

    object --+
             |
            Object

Known Subclasses:
  `AcceleratorTable`, `AnimationBase`, `BusyInfo`, `Clipboard`, `Colour`, `ColourData`, `Command`, `CommandProcessor`, `ContextHelp`, `DC`, `DocTemplate`, `DragImage`, `Effects`, `EncodingConverter`, `Event`, `EvtHandler`, `FileHistory`, `FileSystem`, `FindReplaceData`, `FontData`, `FSFile`, `GDIObject`, `GLContext`, `GraphicsObject`, `GraphicsRenderer`, `GridTableBase`, `HelpControllerBase`, `HtmlCell`, `HtmlDCRenderer`, `HtmlEasyPrinting`, `HtmlFilter`, `HtmlLinkInfo`, `HtmlParser`, `HtmlTag`, `HtmlTagHandler`, `Image`, `ImageHandler`, `ImageList`, `IndividualLayoutConstraint`, `LayoutAlgorithm`, `LayoutConstraints`, `ListItem`, `Mask`, `MenuItem`, `MetaFile`, `PageSetupDialog`, `PageSetupDialogData`, `PrintData`, `PrintDialog`, `PrintDialogData`, `Printer`, `Printout`, `PrintPreview`, `PseudoDC`, `RegionIterator`, `Sizer`, `SizerItem`, `SystemOptions`, `ToolBarToolBase`, `ToolTip`, `TreeListColumnInfo`, `XmlDocument`, `XmlResource`, `XmlResourceHandler`

The base class for most wx objects, although in wxPython not much functionality is needed nor exposed.

Method Summary
| `__init__(self)`
| ``Destroy`(self)` Deletes the C++ object this Python object is a proxy for.
String | ``GetClassName`(self)` Returns the class name of the C++ class using wxRTTI.
bool | ``IsSameAs`(self, p)` For wx.Objects that use C++ reference counting internally, this method can be used to determine if two objects are referencing the same data object.

Property Summary
| `ClassName`: See `GetClassName`
| `thisown`: The membership flag

Method Details

### Destroy(self)

Deletes the C++ object this Python object is a proxy for.

### GetClassName(self)

Returns the class name of the C++ class using wxRTTI.

  Returns:
    String

### IsSameAs(self, p)

For wx.Objects that use C++ reference counting internally, this method can be used to determine if two objects are referencing the same data object.

  Parameters:
    `p`
    (type=Object)

  Returns:
    bool

Property Details

### ClassName

See `GetClassName`

  Get Method:
    `GetClassName`(self)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:09:37 2007 | http://epydoc.sf.net